"""Self-Refine structured output module."""

from pydantic import BaseModel, Field


class SelfRefineOutput(BaseModel):
    """Self-Refine Pydantic output class.

    Attributes:
        answer (str): The answer generated by the agent.
        critique (str): The critique of the answer generated by the agent.
    """

    answer: str = Field(..., description="The answer generated by the agent.")
    critique: str = Field(..., description="The answer's critique.")
